function [mean_value,var_value,rmse_value] = driver_1()
    sampling_rate = 12000;
    speed = 1772/60;
    window_size = ceil(sampling_rate/speed); %samples per cycle
    n_level = 5;
    
    %Training Feature Extraction
    load IR_10dB_12K_9sev_train.mat;
    [value1,n_data_points1] = feat_select(sev1,n_level,window_size);
    [value2,n_data_points2] = feat_select(sev2,n_level,window_size);
    [value3,n_data_points3] = feat_select(sev3,n_level,window_size);
    [value4,n_data_points4] = feat_select(sev4,n_level,window_size);
    [value5,n_data_points5] = feat_select(sev6,n_level,window_size);
    [value6,n_data_points6] = feat_select(sev7,n_level,window_size);
    [value7,n_data_points7] = feat_select(sev8,n_level,window_size);
    [value8,n_data_points8] = feat_select(sev9,n_level,window_size);
    train_label_values = [1 2 3 4 6 7 8 9];
    train_data = [value1;value2;value3;value4;value5;value6;value7;value8];
    
    %Testing Feature Extraction
    [value1,n_data_points_test] = feat_select(sev5,n_level,window_size);
    test_data = value1;    
    
    %Parameters for SVM Regression    
    n_train_datapoints = n_data_points1;
    n_train_classes = 8;
    test_class_values = 5;
    n_test_datapoints = n_data_points_test;
    
    %Kernel parameters
    kernel = 'linear';
%     c_value = -4; %changed from 15 to 5
%     epsilon_value = 0.02;
%     gamma_value = -5;
    c_value = 2; %changed from 15 to 5
    epsilon_value = 0.001;
    gamma_value = -8;
    
    %Results
    [mean_value,var_value,rmse_value] = para_optimization(train_data,test_data,n_train_datapoints,n_train_classes,test_class_values,n_test_datapoints,kernel,c_value,epsilon_value,gamma_value,train_label_values);
end